org.gradle.jvm.plugins

## Class JvmTestSuiteBasePlugin

- java.lang.Object
- - org.gradle.model.RuleSource
  - - org.gradle.jvm.plugins.JvmTestSuiteBasePlugin

-     @Incubating
      public class JvmTestSuiteBasePlugin
      extends RuleSource

  The base plugin that needs to be applied by all plugins which provide testing support for the Java software model.
  Since:
    2.12

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JvmTestSuiteBasePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureRuntimeClasspath(org.gradle.jvm.test.internal.JvmTestSuiteBinarySpecInternal testBinary, org.gradle.internal.service.ServiceRegistry serviceRegistry, org.gradle.model.internal.manage.schema.ModelSchemaStore modelSchemaStore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JvmTestSuiteBasePlugin

          public JvmTestSuiteBasePlugin()

  - ### Method Detail

    - #### configureRuntimeClasspath

          public void configureRuntimeClasspath(org.gradle.jvm.test.internal.JvmTestSuiteBinarySpecInternal testBinary,
                                       org.gradle.internal.service.ServiceRegistry serviceRegistry,
                                       org.gradle.model.internal.manage.schema.ModelSchemaStore modelSchemaStore)